curl
curl -sS "https://gateway.orbit/api/v1/projects/4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"code": "<string>",
"type": "monorepo",
"repository_url": "<string>",
"source_access": "github_app",
"default_branch": "<string>",
"root": "<string>",
"task_check": "<string>",
"task_workspace_routed": true,
"review_and_merge": true,
"merge_check": "<string>",
"excluded_nodes": [
{
"project_id": 123,
"project_slug": "<string>",
"node_id": 123,
"node_name": "<string>",
"development_instance_count": 123
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Projects
Show a Project
Show a project.
GET
/
api
/
v1
/
projects
/
{project}
curl
curl -sS "https://gateway.orbit/api/v1/projects/4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"code": "<string>",
"type": "monorepo",
"repository_url": "<string>",
"source_access": "github_app",
"default_branch": "<string>",
"root": "<string>",
"task_check": "<string>",
"task_workspace_routed": true,
"review_and_merge": true,
"merge_check": "<string>",
"excluded_nodes": [
{
"project_id": 123,
"project_slug": "<string>",
"node_id": 123,
"node_name": "<string>",
"development_instance_count": 123
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}